%define		rc_subver	rc5

Summary: 	An ASCII art library.
Name: 		aalib
Version: 	1.4.0
Release: 	0.%{rc_subver}.%{mysig}

License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://aa-project.sourceforge.net/aalib/
Source0: 	http://download.sourceforge.net/aa-project/%{name}-1.4%{rc_subver}.tar.gz
Patch0:		%{name}-aclocal.patch
Patch1:		%{name}-config-rpath.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	slang-devel XFree86-devel gpm-devel

%package devel
Summary:	aalib development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	XFree86-devel, slang-devel, gpm-devel
Requires(post):	/sbin/install-info
Requires(postun): /sbin/install-info


%description
AA-lib is a low level gfx library just as many other libraries are. The
main difference is that AA-lib does not require graphics device. In
fact, there is no graphical output possible. AA-lib replaces those
old-fashioned output methods with a powerful ASCII art renderer. The API
is designed to be similar to other graphics libraries.

%description devel
This package contains header files and other files needed to develop
with aalib.


%prep
%setup -q
%patch0 -p0
%patch1 -p0


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT/%{_infodir}/dir || :


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/libaa.info %{_infodir}/dir 2>/dev/null || :

%preun devel
if [ $1 -eq 0 ]; then
  /sbin/install-info --delete %{_infodir}/libaa.info %{_infodir}/dir \
    2>/dev/null || :
fi


%files
%exclude %{_libdir}/libaa.la
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS
%{_bindir}/aafire
%{_bindir}/aainfo
%{_bindir}/aasavefont
%{_bindir}/aatest
%{_libdir}/libaa.so.*
%{_mandir}/man1/aafire.1*

%files devel
%defattr(-,root,root,-)
%{_bindir}/aalib-config
%{_mandir}/man3/*
%{_libdir}/libaa.a
%{_libdir}/libaa.so
%{_includedir}/aalib.h
%{_infodir}/aalib.info*
%{_datadir}/aclocal/aalib.m4

%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 1.4.0-0.rc5.ker.rhel4
- rebuild for RHEL4 (package from FC4 Extras)

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Dec 16 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 1.4.0-0.rc5.3
- If Epoch is dropped, %%epoch must not be used anywhere else.

* Wed Nov 10 2004 Matthias Saou <http://freshrpms.net/> 1.4.0-0.rc5.2
- Bump release for compatibility (still, it'll break *sigh*).
- Fix possible non zero exit status from %%install.
- Fix owning the entire man3/ directory.
- Pending possible changes : --with-ncurses & ncurses-devel build dep.

* Fri Jul 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.4.0-0.fdr.0.9.rc5
- Fix underquoted definition in aalib.m4 to appease aclocal >= 1.8.
- Avoid rpath in aalib-config.
- Split Requires(post,postun) into two to work around a rpm bug.
- Other minor specfile improvements.

* Thu Aug 21 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.8.rc5
- devel package now requires info
- Rewrote scriplets
- buildroot -> RPM_BUILD_ROOT
- Moved info files into devel package

* Tue Aug  5 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.7.rc5
- Removed '-p /sbin/ldconfig' in post scriptlet

* Thu Apr 10 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.6.rc5
- Added missing gpm-devel *Requires

* Mon Apr  7 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.5.rc5
- Moved configure from prep to build section.
- Modified post* and pre* scriplets

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.4.rc5
- Fix things between exclude, rm -f, lib*.la, and infodir/dir things
- Added URL in Source0.

* Thu Apr  3 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.3.rc5
- Modified devel Requires:
- Removed gcc as requirement

* Wed Apr  2 2003 Dams <anvil[AT]livna.org> 0:1.4.0-0.fdr.0.2.rc5
- Applied spec modifications from Adrian Reber

* Tue Apr  1 2003 Dams <anvil[AT]livna.org>
- Initial build.
